summaryrefslogtreecommitdiffstats
path: root/.local
diff options
context:
space:
mode:
Diffstat (limited to '.local')
-rwxr-xr-x.local/bin/statusbar/weather2
-rwxr-xr-x.local/bin/torwrap4
2 files changed, 3 insertions, 3 deletions
diff --git a/.local/bin/statusbar/weather b/.local/bin/statusbar/weather
index dc33cb9..8e2a457 100755
--- a/.local/bin/statusbar/weather
+++ b/.local/bin/statusbar/weather
@@ -7,7 +7,7 @@ showweather() { printf "%s" "$(sed '16q;d' "$HOME/.local/share/weatherreport" |
sed '13q;d' "$HOME/.local/share/weatherreport" | grep -o "m\\(-+\\)*[0-9]\\+" | sort -n -t 'm' -k 2n | sed -e 1b -e '$!d' | tr '\n|m' ' ' | awk '{print " ❄️",$1 "°","🌞",$2 "°"}' ;}
case $BLOCK_BUTTON in
- 1) $TERMINAL -e less -S "$HOME/.local/share/weatherreport" ;;
+ 1) $TERMINAL -e less -Srf "$HOME/.local/share/weatherreport" ;;
2) getforecast && showweather ;;
3) pgrep -x dunst >/dev/null && notify-send "🌈 Weather module" "\- Left click for full forecast.
- Middle click to update forecast.
diff --git a/.local/bin/torwrap b/.local/bin/torwrap
index 881d8cc..0fbb3a8 100755
--- a/.local/bin/torwrap
+++ b/.local/bin/torwrap
@@ -1,7 +1,7 @@
#!/bin/sh
-ifinstalled transmission-remote-cli transmission-cli || exit
+ifinstalled tremc transmission-cli || exit
! pgrep -x transmission-da >/dev/null && transmission-daemon && notify-send "Starting torrent daemon..." && sleep 3 && pkill -RTMIN+7 "${STATUSBAR:?}"
-$TERMINAL -e transmission-remote-cli
+$TERMINAL -e tremc